Skip to content

List budget topups

Request

List the topups for a budget.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
budget_idstringrequired

The ID of the budget.

GET
/v1/businesses/{client_id}/budgets/{budget_id}/topups
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/budgets/{budget_id}/topups' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countinteger

The total number of topups that match the query.

Example:100
nextstring

The URL to the next page of topups.

Example:"offset=50&limit=50"
previousstring

The URL to the previous page of topups.

Example:"offset=0&limit=50"
resultsArray of objects(BudgetTopup)
Response
{ "count": 100, "next": "offset=50&limit=50", "previous": "offset=0&limit=50", "results": [ {} ] }